GET
/2020-08-01/studios/{studioId}/launch-profiles/{launchProfileId}/init#launchProfileProtocolVersions&launchPurpose&platform
http://nimble.{region}.amazonaws.com/2020-08-01/studios/{studioId}/launch-profiles/{launchProfileId}/init#launchProfileProtocolVersions&launchPurpose&platformGet a launch profile initialization.
Access Token Required: API Key
Path Parameters
launchProfileIdstringrequired
The ID of the launch profile used to control access from the streaming session.
studioIdstringrequired
The studio ID.
Query Params
launchProfileProtocolVersionsarrayrequired
The launch profile protocol versions supported by the client.
launchPurposestringrequired
The launch purpose.
platformstringrequired
The platform where this Launch Profile will be used, either Windows or Linux.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://nimble.{region}.amazonaws.com/2020-08-01/studios/{studioId}/launch-profiles/{launchProfileId}/init#launchProfileProtocolVersions&launchPurpose&platform' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}